function init(hero) {
    hero.setName("Robin/Damian Wayne");
    hero.setAliases("Robin 4");
    hero.setTier(4);
    hero.setVersion("\u00A74\u00A7lT\u00A76\u00A7le\u00A7a\u00A7le\u00A7d\u00A7ln \u00A7b\u00A7lT\u00A7a\u00A7li\u00A76\u00A7lt\u00A7d\u00A7la\u00A7b\u00A7ln\u00A74\u00A7ls\u00A7r");
    
    hero.setHelmet("Mask");
    hero.setChestplate("Chestplate");
    hero.setLeggings("Pants");
    hero.setBoots("Boots");
    hero.setPrimaryEquipment("fiskheroes:grappling_gun");
    
    hero.addPowers("mvh:ttrobin_wayne");
    hero.addAttribute("PUNCH_DAMAGE", 6.5, 0);
    hero.addAttribute("WEAPON_DAMAGE", 8.5, 0);
    hero.addAttribute("JUMP_HEIGHT", 0.5, 0);
    hero.addAttribute("FALL_RESISTANCE", 3.0, 0);
    hero.addAttribute("SPRINT_SPEED", 0.2, 1);
    hero.addAttribute("IMPACT_DAMAGE", 0.5, 1);
    hero.addAttribute("BOW_DRAWBACK", 0.8, 1);
    
    hero.addKeyBind("UTILITY_BELT", "key.utilityBelt", 1);
    hero.addKeyBind("BLADE", "Equip Sword", 3);

    hero.setDefaultScale(0.92);
    
    hero.setHasPermission(hasPermission);
    hero.addAttributeProfile("SWORD", weaponProfile);
    hero.setAttributeProfile(getAttributeProfile);
}

function hasPermission(entity, permission) {
    return permission == "USE_GRAPPLING_GUN";
}

function weaponProfile(profile) {
    profile.addAttribute("FALL_RESISTANCE", 1, 1);
    profile.addAttribute("PUNCH_DAMAGE", 6.0, 0);
    profile.addAttribute("WEAPON_DAMAGE", 8.5, 0);
    profile.addAttribute("SPRINT_SPEED", 0.25, 1);
    profile.addAttribute("BASE_SPEED", 0.10, 1);
    profile.addAttribute("REACH_DISTANCE", 2.0, 0);
    profile.addAttribute("JUMP_HEIGHT", 1.5, 0);
}

function getAttributeProfile(entity) {
    return entity.getData("fiskheroes:blade") ? "SWORD" : null;
}